GetWorkflowStepExecution
Retrieves runtime information for a specific runtime instance of the workflow step.
Request Syntax
GET /GetWorkflowStepExecution?stepExecutionId=stepExecutionId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- stepExecutionId
-
Use the unique identifier for a specific runtime instance of the workflow step to get runtime details for that step.
Pattern:
^step-[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"action": "string",
"attemptNumber": number,
"description": "string",
"endTime": "string",
"imageBuildVersionArn": "string",
"inputs": "string",
"maxAttempts": number,
"message": "string",
"name": "string",
"onFailure": "string",
"outputs": "string",
"requestId": "string",
"rollbackStatus": "string",
"startTime": "string",
"status": "string",
"stepExecutionId": "string",
"timeoutSeconds": number,
"workflowBuildVersionArn": "string",
"workflowExecutionId": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- action
-
The name of the action that the specified step performs.
Type: String
Pattern:
^[A-Za-z][A-Za-z0-9-_]{1,99}$ - attemptNumber
-
The current attempt number for the specified runtime instance of the workflow step. The first run is attempt one. The number increases by one for each retry.
Type: Integer
Valid Range: Minimum value of 1.
- description
-
Describes the specified workflow step.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 500.
- endTime
-
The timestamp when the specified runtime instance of the workflow step finished.
Type: String
- imageBuildVersionArn
-
The Amazon Resource Name (ARN) of the image resource build version that the specified runtime instance of the workflow step creates.
Type: String
Pattern:
^arn:aws[^:]*:imagebuilder:[^:]+:(?:[0-9]{12}|aws(?:-[a-z-]+)?):image/[a-z0-9-_]+/[0-9]+\.[0-9]+\.[0-9]+/[0-9]+$ - inputs
-
Input parameters that Image Builder provided for the specified runtime instance of the workflow step.
Type: String
- maxAttempts
-
The maximum number of attempts allowed for the specified runtime instance of the workflow step, based on the retry configuration in the workflow document. If the step doesn't configure retries, the maximum is one attempt.
Type: Integer
Valid Range: Minimum value of 1.
- message
-
The output message from the specified runtime instance of the workflow step, if applicable.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 500.
- name
-
The name of the specified runtime instance of the workflow step.
Type: String
Pattern:
^[A-Za-z][A-Za-z0-9-_]{1,99}$ - onFailure
-
The action to perform if the workflow step fails.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1024.
- outputs
-
The file names that the specified runtime version of the workflow step created as output.
Type: String
- requestId
-
The request ID that uniquely identifies this request.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1024.
- rollbackStatus
-
Reports on the rollback status of the specified runtime version of the workflow step, if applicable.
Type: String
Valid Values:
RUNNING | COMPLETED | SKIPPED | FAILED - startTime
-
The timestamp when the specified runtime version of the workflow step started.
Type: String
- status
-
The current status for the specified runtime version of the workflow step.
Type: String
Valid Values:
PENDING | SKIPPED | RUNNING | COMPLETED | FAILED | CANCELLED - stepExecutionId
-
The unique identifier for the runtime version of the workflow step that you specified in the request.
Type: String
Pattern:
^step-[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$ - timeoutSeconds
-
The maximum duration in seconds for this step to complete its action.
Type: Integer
Valid Range: Minimum value of 0. Maximum value of 43200.
- workflowBuildVersionArn
-
The Amazon Resource Name (ARN) of the build version for the Image Builder workflow resource that defines this workflow step.
Type: String
Length Constraints: Maximum length of 1024.
Pattern:
^arn:aws(?:-[a-z]+)*:imagebuilder:[a-z]{2,}(?:-[a-z]+)+-[0-9]+:(?:[0-9]{12}|aws(?:-[a-z-]+)?):workflow/(build|test|distribution)/[a-z0-9-_]+/[0-9]+\.[0-9]+\.[0-9]+/[0-9]+$ - workflowExecutionId
-
The unique identifier that Image Builder assigned to keep track of runtime details when it ran the workflow.
Type: String
Pattern:
^wf-[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Errors
For information about the errors that are common to all actions, see Common Error Types.
- CallRateLimitExceededException
-
You have exceeded the permitted request rate for the specific operation.
HTTP Status Code: 429
- ClientException
-
These errors are usually caused by a client action, such as using an action or resource on behalf of a user that doesn't have permissions to use the action or resource, or specifying an invalid resource identifier.
HTTP Status Code: 400
- ForbiddenException
-
You are not authorized to perform the requested operation.
HTTP Status Code: 403
- InvalidRequestException
-
You have requested an action that that the service doesn't support.
HTTP Status Code: 400
- ServiceException
-
This exception is thrown when the service encounters an unrecoverable exception.
HTTP Status Code: 500
- ServiceUnavailableException
-
The service is unable to process your request at this time.
HTTP Status Code: 503
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: